package evaluator.util;


import java.util.Vector;


/**
 * <p>Copyright: Copyright (C) 2003</p>
 * <p>Company: University of Hamburg, Germany</p>
 * @author Hartmut Obendorf, http://asi-www.informatik.uni-hamburg.de/personen/obendorf/
 * @author Harald Weinreich, http://vsis-www.informatik.uni-hamburg.de/~weinreic/
 * @version 1.3
 */
public class TaskGroup {
    public TaskGroup() {
        _taskList = new Vector();
    }

    public void addTask(java.awt.Component jPanel) {
        _taskList.add(jPanel);
    }

    public java.awt.Component getTask(int index) {
        return (java.awt.Component) _taskList.elementAt(index);
    }

    public int size() {
        return _taskList.size();
    }

    private Vector             _taskList;
}
